Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156959 - invalid file mode on created files
Summary: invalid file mode on created files
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: unzip
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ivana Varekova
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-05 17:43 UTC by Arne de Bruijn
Modified: 2008-06-12 08:24 UTC (History)
1 user (show)

Fixed In Version: unzip-5.52-5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-12 08:24:12 UTC


Attachments (Terms of Use)
last patch in spec file fixes problem (deleted)
2008-05-22 20:42 UTC, James M. Leddy
no flags Details | Diff
new srpm (deleted)
2008-05-22 20:46 UTC, James M. Leddy
no flags Details

Description Arne de Bruijn 2005-05-05 17:43:22 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.7) Gecko/20050414 Firefox/1.0.3

Description of problem:
Files are created with an invalid file mode, because the open(..., O_CREAT) call on unzip-5.51-near-4GB.patch line 140 contains no file mode argument. This doesn't seem to cause problems on ext3 (and probably other unix file systems), but does on cifs filesystems.


Version-Release number of selected component (if applicable):
unzip-5.51-4

How reproducible:
Always

Steps to Reproduce:
1. mount -t cifs //host/share /mnt/cifs
2. cd /mnt/cifs
3. unzip /tmp/file.zip


Actual Results:  Error message from unzip:
file.ext:  write error (disk full?).  Continue? (y/n/^C)

Expected Results:  Successful extraction.

Additional info:

Comment 1 Ivana Varekova 2005-05-06 09:21:46 UTC
Hello,
can you add mode to open command 
(change unzip-5.51-near-4GB.patch line 140 
- fd = open(G.filename, O_WRONLY | O_LARGEFILE | O_CREAT); 
+ fd = open(G.filename, O_WRONLY | O_LARGEFILE | O_CREAT | O_EXCL | 0600) ;
and test whether is the bug still present.
If there is any problem I can create changed package and attach it here.
Ivana

Comment 2 Arne de Bruijn 2005-05-06 14:06:03 UTC
I changed line 140 of unzip-5.51-near-4GB.patch to
 fd = open(G.filename, O_WRONLY | O_LARGEFILE | O_CREAT, 0666);
and that fixed the bug.


Comment 3 Ivana Varekova 2005-05-09 07:55:52 UTC
This problem is fixed in unzip-5.51-11. (I use mode 0600.) If there is any
problem please reopen this bug.
Ivana Varekova

Comment 4 James M. Leddy 2008-05-14 19:52:06 UTC
Problem has reappeared in unzip-5.52 both version in F8 and RHEL, presumably f9
as well.  

see bug 227225

Comment 5 John Poelstra 2008-05-20 02:56:34 UTC
We do not keep bugs open against EOL versions of Fedora.  Per comment #4
changing version to '8'

Comment 6 James M. Leddy 2008-05-22 20:42:47 UTC
Created attachment 306422 [details]
last patch in spec file fixes problem

Very well.  I've attached a patch and src.rpm of the latest version. 
Alternatively just edit unzip-5.52-near-4GB.patch as described above.

Comment 7 James M. Leddy 2008-05-22 20:46:11 UTC
Created attachment 306423 [details]
new srpm

Comment 8 Ivana Varekova 2008-06-12 08:24:12 UTC
Thanks, this bug is fixed in  unzip-5.52-5 version.


Note You need to log in before you can comment on or make changes to this bug.